PKIData (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.cmc

## Class PKIData

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.cmc.PKIData

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class PKIData
      extends ASN1Object

       PKIData ::= SEQUENCE {
       controlSequence    SEQUENCE SIZE(0..MAX) OF TaggedAttribute,
       reqSequence        SEQUENCE SIZE(0..MAX) OF TaggedRequest,
       cmsSequence        SEQUENCE SIZE(0..MAX) OF TaggedContentInfo,
       otherMsgSequence   SEQUENCE SIZE(0..MAX) OF OtherMsg
       }

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PKIData(TaggedAttribute[] controlSequence, TaggedRequest[] reqSequence, TaggedContentInfo[] cmsSequence, OtherMsg[] otherMsgSequence)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TaggedContentInfo[]` | `getCmsSequence()`
    `TaggedAttribute[]` | `getControlSequence()`
    `static PKIData` | `getInstance(java.lang.Object src)`
    `OtherMsg[]` | `getOtherMsgSequence()`
    `TaggedRequest[]` | `getReqSequence()`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PKIData

          public PKIData(TaggedAttribute[] controlSequence,
                         TaggedRequest[] reqSequence,
                         TaggedContentInfo[] cmsSequence,
                         OtherMsg[] otherMsgSequence)

  - ### Method Detail

    - #### getInstance

          public static PKIData getInstance(java.lang.Object src)

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.

    - #### getControlSequence

          public TaggedAttribute[] getControlSequence()

    - #### getReqSequence

          public TaggedRequest[] getReqSequence()

    - #### getCmsSequence

          public TaggedContentInfo[] getCmsSequence()

    - #### getOtherMsgSequence

          public OtherMsg[] getOtherMsgSequence()